Current Tool versions for python environment

Hi,
I was trying to setup the environment for python and I ran into a couple of issues with versions and missing tools. Initially I used virtualenv, and I had to update the versions of cffi to 1.14.5 and pyzmq to 22.10 in the requirements.txt file and install the windows build tools so that components of zmq could be built.
I got the first test up and running but I was having problems with the second test so I thought that it might be the environment, so I decided to try anaconda : conda install --file requirements.txt and it reported that the following were not available (for the current version of anaconda).

  • jupyter-console==6.0.0
  • prometheus-client==0.7.1
  • jupyter-core==4.4.0
  • ipython-genutils==0.2.0
  • jupyter-client==5.3.1
  • flask==0.12.4
  • pyzmq==22.1.0
  • flask-login==0.4.0
  • flask-jwt-extended==3.7.0
  • prompt-toolkit==2.0.10
  • importlib-metadata==0.23
  • pytest-flask==0.11.0
  • appnope==0.1.0

I am using the current version of Windows 10. What do you advise?

Hi @Winston_Worrell

I’d suggest trying an older version of Anaconda but I think that’s not the simplest solution. I think reverting to using a virtual environment and pip will probably be easier to debug as there are fewer moving pieces. I’d suggest you continue to try with the earlier virtualenv and see if that can be successfully installed.

Kindest regards,
Eoin

1 Like

Hi Eoin,
After multiple tries, I had to revert to python 3.8 and then used the modified requirements.txt to get things working. Python 3.9 was have errors with base64 encoding.

1 Like

Hi @Winston_Worrell

I’m glad to hear that you have made progress and that things are now working. I am pretty sure at the moment we are unable to support the Jupyter and Python 3.9 combination of the environment due to that string encoding issue.

Hopefully, you are now progressing through the course, and let me know if you have any further issues. Good luck and enjoy the rest of the course!

Kindest regards,
Eoin

This topic was automatically closed 5 days after the last reply. New replies are no longer allowed.